#
# spec file for package python-dbf
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-dbf
Version:        0.99.3
Release:        1.8
Summary:        Pure python package for reading/writing dBase, FoxPro, and Visual FoxPro .dbf
License:        BSD-3-Clause
URL:            https://pypi.org/project/dbf/
Source:         https://files.pythonhosted.org/packages/source/d/dbf/dbf-%{version}.tar.gz
BuildRequires:  %{python_module aenum}
BuildRequires:  %{python_module pytz}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-aenum
Requires:       python-pytz
BuildArch:      noarch
%python_subpackages

%description
Pure python package for reading/writing dBase, FoxPro, and Visual FoxPro .dbf
files (including memos)

Currently supports dBase III, Clipper, FoxPro, and Visual FoxPro tables. Text is
returned as unicode, and codepage settings in tables are honored. Memos and Null
fields are supported.

%prep
%setup -q -n dbf-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} $python dbf/test.py

%files %{python_files}
%license dbf/LICENSE
%{python_sitelib}/dbf-%{version}-py*.egg-info
%{python_sitelib}/dbf

%changelog
* Wed Jan  4 2023 Dirk Müller <dmueller@suse.com>
- update to 0.99.3:
  * no upstream changelog available
* Wed Oct 12 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 0.99.2
  no upstream changelog
* Thu Sep  2 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 0.99.1:
  * fix: encoding error, warnings
  * add TimeStamp type to DB3 tables
  * Import ABC from collections.abc for Python 3.9 compatibility.
  * support date/time/datetime as argument to Period
  * make Vapor objects Falsey
  * add more null tests
* Wed Oct  7 2020 Steve Kowalik <steven.kowalik@suse.com>
- Update to 0.99.0:
  * Backwards incompatible change:
    + new records will have unspecified fields that are nullable set to Null
  * change default input encoding from 'ascii' to 'utf-8'
  * improve unicode support
  * default field case is now upper
  * FieldnameList is used to support both upper- and lower-case field checks
  * fix memo block size changing to default when copying
* Fri Sep 13 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.98.3:
  * no obvious changelog
* Fri Jul 26 2019 pgajdos@suse.com
- version update to 0.98.2
  * allow dbf files without .dbf ending
  * allow any case for accessing field names
* Tue Mar 19 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.98.0:
  * fix resize_field to work on empty tables
  * fix export to fixed-width by using codecs.open
  * allow non-standard characters in field names (with warnings)
- Run tests
* Thu Dec  6 2018 Tomáš Chvátal <tchvatal@suse.com>
- Version update to 0.97.11:
  * No obvious changelog
- Fix fdupes call
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu May 24 2018 toddrme2178@gmail.com
- Update to 0.97.5
  * Fix bug in VFP doubles
  * Fix field creation flag handling
  * Allow (redundant) "binary" flag on binary type fields
  * Fix fp/FoxBase table header creation
  * Can now open dbf files as read-only when lacking write permissions.
  * Moved to a single 2/3 code base.
  * Opening a database now defaults to dbf.READ_ONLY; can also use dbf.READ_WRITE;
    the corresponding strings are no longer supported.
- Spec file cleanups
- License is now included in source archive
* Wed Jul 26 2017 bruno@ioda-net.ch
-specfile add line to fix build for Leap
* Wed Jun  7 2017 bruno@ioda-net.ch
- specfile move to unified single-spec-python
* Sat Jul 23 2016 arun@gmx.de
- specfile:
  * update copyright year
  * no more README or WHATSNEW in tar-ball
- update to version 0.96.8:
  (no changelog available)
* Sun May  8 2016 arun@gmx.de
- specfile:
  * changed to https for source url
  * updated source url to files.pythonhosted.org
* Thu Nov 19 2015 bruno@ioda-net.ch
- Initial packaging on obs
  * Including from upstream missing LICENSE file
  * Fix eol by sed
